/*
 * Copyright  2004-2005 AIRG.
 *
 *
 */
package org.aaauthreach.resources;


import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.security.KeyStore;
import java.security.PrivateKey;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.List;

import org.w3c.dom.Element;


/**
 *
 * @author $Author: demch $
 */
public class ConfigSecurity {

   /**
    * Method main
    *
    * @param unused
    * @throws Exception
    */
   public static void main(String unused[]) throws Exception {
   	
   	List confsec = new ArrayList();

   	//J-
      //All the parameters for the keystore

      String keystoreType = "JKS";
      String keystoreFile = "data/keystore/xmlsec/keystore2xmlsec.jks";
      String keystorePass = "iodefsecurity";
      String privateKeyAlias = "iodef04dsa";
      String privateKeyPass = "iodefsecurity";
      String certificateAlias = "iodef04dsa";
      
      ///
      	confsec.add(keystoreType);
		confsec.add(keystoreFile);
		confsec.add(keystorePass);
		confsec.add(privateKeyAlias);
		confsec.add(privateKeyPass);
		confsec.add(certificateAlias);		

		System.out.print ("\n" + "keystoreType=" + confsec.get(0).toString() + "\n" 
	    		+ "keystoreFile=" + confsec.get(1).toString() + "\n" 
				+ "keystorePass=" + confsec.get(2).toString() + "\n"
				+ "privateKeyAlias=" + confsec.get(3).toString() + "\n"
				+ "privateKeyPass=" + confsec.get(4).toString() + "\n"
				+ "certificateAlias=" + confsec.get(5).toString() + "\n");
      
      // File signatureFile = new File("testsig01cnl.xml");
      //J+
      KeyStore ks = KeyStore.getInstance(keystoreType);
      FileInputStream fis = new FileInputStream(keystoreFile);

      ////FileOutputStream fus = new FileOutputStream(outFile);
      ////System.out.print(fis.toString());
      
      //load the keystore
      ks.load(fis, keystorePass.toCharArray());

      //get the private key for signing.
      PrivateKey privateKey = (PrivateKey) ks.getKey(privateKeyAlias,
                                             privateKeyPass.toCharArray());
      
      System.out.print("\n###Private key: \n" + privateKey.toString()); //***
      
    }
	public static List getConfigSecurity (String keyalias) throws Exception {
	   	List confsec = new ArrayList();

	   	//All the parameters for the keystore
	    String keystoreType = "JKS";
	    String keystoreFile = "data/keystore/xmlsec/keystore2xmlsec.jks";
	    String keystorePass = "iodefsecurity";
	    String privateKeyAlias = "iodef04rsa";
	    String privateKeyPass = "iodefsecurity";
	    String certificateAlias = "iodef04rsa";
	    //  
		confsec.add(keystoreType);
		confsec.add(keystoreFile);
		confsec.add(keystorePass);
		confsec.add(privateKeyAlias);
		confsec.add(privateKeyPass);
		confsec.add(certificateAlias);		

		return confsec;
	}
}
