/*
 * Created on May 3, 2004
 *
 * AIRG at UvA, Collaboratory.nl Project
 */
package org.aaauthreach.utils;
import java.io.*;
//import java.util.ArrayList;
import java.util.ArrayList;
import java.util.StringTokenizer;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Yuri Demchenko
 *
 * AIRG at UvA, Collaboratory.nl Project 
 */
public class HelpersReadWrite {

	//////////// Input/Output helpers ////////////////////	
	// Write String to File
	 
	public static void write(String fileName, String text) throws IOException {
		PrintWriter out =
			new PrintWriter(new BufferedWriter(new FileWriter(fileName)));
		out.print(text);
		out.close();
	}
	////////////////////////////////	
	// Read test File as string

	public static String read(String fileName) throws IOException {
		StringBuffer sb = new StringBuffer();
		BufferedReader in = new BufferedReader(new FileReader(fileName));
		String s;
		while ((s = in.readLine()) != null) {
			sb.append(s);
			sb.append("\n");
		}
		in.close();
		return sb.toString();
	}
	////////////////////////////////	
	// Replace oldstr with newstr in instring 

	public static String subst(String oldStr, 
			String newStr, String inString) {

			int start = inString.indexOf(oldStr);
			if (start == -1) {
				return inString;
			}
			StringBuffer sb = new StringBuffer();
			sb.append(inString.substring(0, start));
			sb.append(newStr);
			sb.append(inString.substring(start+oldStr.length()));
			return sb.toString();
		}
	////////////////////////////////	
	// Input roles list
	
	public static ArrayList readIn (int n) {
	
	ArrayList lines = new ArrayList();

	for (int i = 0; i < n; i++) {
		
	String line = null;
	int val = 0;
		try {
				BufferedReader is = new BufferedReader(
								   new InputStreamReader(System.in));
			line = is.readLine();
			//val = Integer.parseInt(line);
		} 
	//catch (NumberFormatException ex) 
	//{System.err.println("Not a valid number: " + line);} 
	catch (IOException e) 
	{
	System.err.println("Unexpected IO ERROR: " + e);
	}
		  lines.add(line);
		  //System.out.println("I read this line: " + line);
	}
	return lines;
	}	
	
	////////////////////////////////	
	// Input menu number (integer)

	public static int readStdinInt (){
		String line = null;
		int val = 0;
		try {
			BufferedReader is = new BufferedReader(
				new InputStreamReader(System.in));
				line = is.readLine();
				val = Integer.parseInt(line);
			} 
		catch (NumberFormatException ex) 
		{
		System.err.println("Not a valid number: " + line);
		} 
		catch (IOException e) 
		{
		System.err.println("Unexpected IO ERROR: " + e);
		}
		//System.out.println("I read this number: " + val);
		return val;
	}
}
