/*
 * Created on Nov 15, 2004
 *
 */
package testxmlsec;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.security.Certificate;
import java.security.KeyStore;
import java.security.PrivateKey;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.List;
import org.w3c.dom.Element;

import org.aaauthreach.resources.ConfigSecurity;

/**
 * @author demch
 *
 */
public class TestConfigSecurity {

   public static void main(String unused[]) throws Exception {
	
	String keyset = "iodef04";
   	List checkconfsec = new ArrayList();
   	
	checkconfsec = ConfigSecurity.getConfigSecurity(keyset);
	
	//
    String keystoreType = (String) checkconfsec.get(0);
    String keystoreFile = (String) checkconfsec.get(1);
    String keystorePass = (String) checkconfsec.get(2);
    String privateKeyAlias = (String) checkconfsec.get(3);
    String privateKeyPass = (String) checkconfsec.get(4);
    String certificateAlias = (String) checkconfsec.get(5);
	
	//

	System.out.print ("\n###Echo TestConfigSecurity\n" 
			+ "keystoreType=" + keystoreType + "\n" 
    		+ "keystoreFile=" + keystoreFile + "\n" 
			+ "keystorePass=" + keystorePass + "\n"
			+ "privateKeyAlias=" + privateKeyAlias + "\n"
			+ "privateKeyPass=" + privateKeyPass + "\n"
			+ "certificateAlias=" + certificateAlias + "\n");

	KeyStore ks = KeyStore.getInstance(keystoreType);
    FileInputStream fis = new FileInputStream(keystoreFile);

    ////FileOutputStream fus = new FileOutputStream(outFile);
    ////System.out.print(fis.toString());
    
    //load the keystore
    ks.load(fis, keystorePass.toCharArray());

    //get the private key for signing.
    PrivateKey privateKey = (PrivateKey) ks.getKey(privateKeyAlias,
                                           privateKeyPass.toCharArray());
    //Certificate certificate = (Certificate) ks.getCertificate(certificateAlias);
    
    System.out.print("\n###Private key: \n" + privateKey.toString()); //***
    //System.out.print("\n###Certificate: \n" + certificate.toString()); //***
    
    ////
    javax.xml.parsers.DocumentBuilderFactory dbf =
       javax.xml.parsers.DocumentBuilderFactory.newInstance();

    //XML Signature needs to be namespace aware
    dbf.setNamespaceAware(true);

    javax.xml.parsers.DocumentBuilder db = dbf.newDocumentBuilder();
    org.w3c.dom.Document doc = db.newDocument();


    //The BaseURI is the URI that's used to prepend to relative URIs
    //String BaseURI = signatureFile.toURL().toString();

    //Create an XML Signature object from the document, BaseURI and
    //signature algorithm (in this case DSA)

    //FileOutputStream f = new FileOutputStream(signatureFile);

    //XMLUtils.outputDOMc14nWithComments(doc, f);

    //f.close();
    //System.out.println("Simple document " + BaseURI);

    
   }
}