@echo off

rem
rem 
rem

setlocal

set STORETYPE=JKS
if not "%1" == "" set STORETYPE=%1

rem echo Alias=smith: Creating DSA key pair...
rem keytool -genkey -alias smith -keyalg DSA -dname "CN=Agent Smith, O=Matrix, C=NL" -keypass iodefsecurity -keystore xmlsec/keystore2xmlsec.jks -storepass iodefsecurity -storetype %STORETYPE%

echo Alias=iodef04dsa: Creating DSA key pair...
keytool -genkey -alias iodef04dsa -keyalg DSA -dname "CN=Agent Smith, O=Matrix, C=NL" -keypass iodefsecurity -keystore xmlsec/keystore2xmlsec.jks -storepass iodefsecurity -storetype %STORETYPE%

echo Alias=iodef04rsa: Creating RSA key pair...
keytool -genkey -alias iodef04rsa -keyalg RSA -dname "CN=Agent Smith, O=Matrix, C=NL" -keypass iodefsecurity -keystore xmlsec/keystore2xmlsec.jks -storepass iodefsecurity -storetype %STORETYPE%

echo Copying certificate of RSA public key...
keytool -export -alias iodef04rsa -file xmlsec/iodef04rsa.cer -keystore xmlsec/keystore2xmlsec.jks -storepass iodefsecurity -storetype %STORETYPE%
keytool -import -noprompt -alias iodef04rsa -file xmlsec/iodef04rsa.cer -keystore xmlsec/keystore1xmlsec.jks -storepass iodefsecurity -storetype %STORETYPE%

endlocal

